%F4TESTCDB - test for correct digits family 4
%average number of corect digits for family 4 as a
%function of requested error
clf
clear;
k=-2:-2:-10;
Vertex=[0,0,1,1;1,0,0,1];
Tri=[1,2,3;1,3,4];
neval=zeros(1,length(k));
d=100;
nrep=500;
opt=optset();
for j=1:length(k)
    err(j)=10^k(j);
    opt.AbsoluteError=err(j);
    nex=nrep;
    for i=1:nrep
        %beta(1)=rand;
        %beta(2)=unifrnd(0,1-beta(1));
        beta=rand(1,2);
        alpha=rand(1,2);
        sf=d/sum(alpha);
        alpha=alpha*sf;
        f4=@(V) ...
            exp(-alpha(1)^2*(V(1,:)-beta(1)).^2-alpha(2)^2*(V(2,:)-beta(2)).^2);
        [result,ee,stat]=CubatureTriang(f4,Tri,Vertex,...
            [],[],opt);
        if strcmp(stat.finalres,'fail')
            nex=nex-1;
        end
        %fprintf('err=%g, nev=%d\n',err(j),stat.nev)
        neval(j)=neval(j)-log10(ee);
    end
    neval(j)=neval(j)/nex;
end
plot(-log10(err),neval,'k-s')
title('Average number of digits for test family 4','FontSize',16)
xlabel('-log_{10}(err)','Interpreter','TeX','FontSize',16)
ylabel('Digits','Interpreter','TeX','FontSize',16)