%test family 7b - oscillatory
%see Espelid & Genz
close all
Vertex=[0,0,1;1,0,0];
Tri=[1,2,3];
beta1=rand;
d=80;
err=1e-6;
alpha=rand(1,2);
sf=d/sum(alpha);
alpha=alpha*sf;
f7=@(V) cos(2*pi*beta1+alpha(1)*V(1,:)+alpha(2)*V(2,:));
%without restart
display('without restart')
opt=optset('AbsoluteError',1e-6);
[result,ee,stat]=CubatureTriang(f7,Tri,Vertex,...
    [],[],opt);
opt.AbsoluteError,stat
opt=optset('AbsoluteError',1e-8);
[result,ee, stat]=CubatureTriang(f7,Tri,Vertex,...
    [],[],opt);
opt.AbsoluteError,result,ee,stat

%with restart
display('with restart')
opt=optset('AbsoluteError',1e-6,'Trace','on');
[result,ee,stat,Tri,Vertex, VI, EE]=CubatureTriang(f7,Tri,Vertex,...
    [],[],opt);
opt.AbsoluteError,stat
shg
ss=sprintf('oscillatory, $\\varepsilon=%g$',opt.AbsoluteError);
title(ss,'Interpreter','Latex','FontSize',14);
figure(2)
opt=optset('AbsoluteError',1e-8,'Trace','on');
[result,ee,stat]=CubatureTriang(f7,Tri,Vertex,...
    VI,EE,opt);
opt.AbsoluteError,result,ee,stat
shg
ss=sprintf('oscillatory, restart, $\\varepsilon=%g$',opt.AbsoluteError);
title(ss,'Interpreter','Latex','FontSize',14);
