%test family 4b -Gaussian
%see Espelid & Genz
Vertex=[0,0,1,1;1,0,0,1];
Tri=[1,2,3;1,3,4];
beta(1)=rand;
beta(2)=unifrnd(0,1-beta(1));
d=125;
err=input('error:');
alpha=rand(1,2);
sf=d/sum(alpha);
alpha=alpha*sf;
close all
f4=@(V) ...
    exp(-alpha(1)^2*(V(1,:)-beta(1)).^2-alpha(2)^2*(V(2,:)-beta(2)).^2);
f4b=@(x,y) ...
    exp(-alpha(1)^2*(x-beta(1)).^2-alpha(2)^2*(y-beta(2)).^2);

x=linspace(0,1,40);
[X,Y]=meshgrid(x);
Z=f4b(X,Y);
surf(X,Y,Z);

ve=-pi/4*((erf(alpha(1)*beta(1))-erf(-alpha(1)+alpha(1)*beta(1)))*...
    (-erf(alpha(2)*beta(2))+erf(-alpha(2)+alpha(2)*beta(2))))/(alpha(1)*alpha(2));

figure(2)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000);
[result, ee, stat]=CubatureTriang(f4,Tri,Vertex,...
    [],[],oo);

result,ee,ve,stat
shg
ss=sprintf('Gaussian, $\\epsilon=%g$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',14);

figure(3)
oo=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000, 'Subdivision', 'flexible');
[result2, ee2, stat2]=CubatureTriangx(f4,Tri,Vertex,...
    [],[],oo);

result2,ee2,ve,stat2
shg
ss=sprintf('Gaussian, $\\epsilon=%g$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',14);
