%test family 7b - oscillatory
%see Espelid & Genz
close all
Vertex=[0,0,1;1,0,0];
Tri=[1,2,3];
beta1=rand;
d=80;
err=input('error:');
alpha=rand(1,2);
sf=d/sum(alpha);
alpha=alpha*sf;
f7=@(V) cos(2*pi*beta1+alpha(1)*V(1,:)+alpha(2)*V(2,:));
x=Vertex(1,:); y=Vertex(2,:);
[lx,ly]=subdivizare(x,y,6);
TT=delaunay(lx,ly);
Z=f7([lx,ly]');
trisurf(TT,lx,ly,Z);

syms a1 a2 b u v
ves=int(int(cos(2*pi*b+a1*u+a2*v),u,0,1-v),v,0,1);
ves=subs(ves,a1,alpha(1));
ves=subs(ves,a2,alpha(2));
ves=subs(ves,b,beta1);
ve=double(ves);

figure(2)
op=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000);
[result,ee, stat]=CubatureTriang(f7,Tri,Vertex,...
    [],[],op);

result,ee,ve,stat
shg
ss=sprintf('oscillatory, $\\varepsilon=%g$, congruent',err);
title(ss,'Interpreter','Latex','FontSize',14);

figure(3)
op=optset('AbsoluteError',err,'Trace','on','MaxFctEval',150000, 'Subdivision', 'flexible');
[result2,ee2, stat2]=CubatureTriangx(f7,Tri,Vertex,...
    [],[],op);

result2,ee2,ve,stat2
shg
ss=sprintf('oscillatory, $\\varepsilon=%g$, flexible',err);
title(ss,'Interpreter','Latex','FontSize',14);
